Page MenuHomePhabricator

Create new table for CX Parallel corpora
Closed, ResolvedPublic

Description

We need a new table to store the parallel corpora.

The design is at https://docs.google.com/document/d/11fFVBcu190u8J4uVJdyrghuHx5BdWrRHRZvd7fArwE0/edit#

Table Name: cx_corpora

columntypedescription
translation_idint not nullTranslation id
section_idvarchar not nullSection Id
typevarchar not nullType of text. Can be source, translation
contentmediumblob not nullContent
originvarchar not nullOrigin of the text. Can be Source, Apertium, Yandex etc, and User
sequence_idint nullableFor linear ordering of sections
timestampvarchar not nullTimestamp of the translation

Event Timeline

santhosh raised the priority of this task from to Normal.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 25 2015, 12:09 PM
Amire80 set Security to None.
Amire80 moved this task from Backlog to 3rd party support on the ContentTranslation-Release7 board.

Change 256385 had a related patch set uploaded (by Santhosh):
Create new table for CX Parallel corpora

https://gerrit.wikimedia.org/r/256385

santhosh claimed this task.Dec 2 2015, 9:18 AM
santhosh moved this task from Backlog to In Review on the LE-CX7-Sprint 4 board.
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Dec 7 2015, 10:45 AM

Change 256385 merged by jenkins-bot:
Create new table for CX Parallel corpora

https://gerrit.wikimedia.org/r/256385

Nikerabbit moved this task from In Review to QA on the LE-CX7-Sprint 4 board.Dec 17 2015, 10:33 AM
santhosh moved this task from Backlog to Blocked on the LE-CX7-Sprint break board.Dec 30 2015, 6:22 AM
Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 20 2016, 11:14 PM

Change 265458 had a related patch set uploaded (by KartikMistry):
Beta: Set ContentTranslationCorpora to true

https://gerrit.wikimedia.org/r/265458

Change 265459 had a related patch set uploaded (by KartikMistry):
Enable ContentTranslationCorpora

https://gerrit.wikimedia.org/r/265459

Change 265458 merged by jenkins-bot:
Beta: Set ContentTranslationCorpora to true

https://gerrit.wikimedia.org/r/265458

Change 265459 merged by jenkins-bot:
Enable ContentTranslationCorpora

https://gerrit.wikimedia.org/r/265459

KartikMistry closed this task as Resolved.Jan 22 2016, 4:26 AM
KartikMistry moved this task from Blocked to Done on the LE-CX8-Sprint 1 board.